Navigation :
Getting Started
What is Gloo Gateway?
Setup
Guides
Operations
Reference
-
Open Source Attribution
-
API Reference
-- Address
-- AdvancedHttp
-- Ai
-- Als
-- Annotations
-- Any
-- Api
-- Artifact
-- Aws
-- AwsEc2
-- Azure
-- Base
-- Caching
-- CircuitBreaker
-- CircuitBreaker
-- Cluster
-- Connection
-- ConnectionLimit
-- Consul
-- Core
-- Cors
-- Deprecation
-- Descriptor
-- DestinationSpec
-- Discovery
-- Dlp
-- Duration
-- DynamicForwardProxy
-- Empty
-- Endpoint
-- envoy.glooe.solo.io.project
-- envoy_glooe_solo_io.project
-- Ext
-- Extauth
-- ExtauthInternal
-- Extensions
-- ExternalOptions
-- Extproc
-- Failover
-- Failover
-- Fault
-- FieldMask
-- Gateway
-- gateway.solo.io.project
-- gateway_solo_io.project
-- Gcp
-- gloo.solo.io.project
-- gloo_solo_io.project
-- glooe.solo.io.project
-- glooe_solo_io.project
-- GlooValidation
-- Graphql
-- Graphql
-- Grpc
-- GrpcJson
-- GrpcWeb
-- Hcm
-- Headers
-- HeaderValidation
-- Healthcheck
-- Http
-- HttpGateway
-- HttpListenerOptions
-- HttpUri
-- Ingress
-- Instance
-- Jwt
-- Kubernetes
-- Lbhash
-- ListenerOptions
-- LoadBalancer
-- LocalRatelimit
-- MatchableHttpGateway
-- MatchableTcpGateway
-- Matchers
-- Metadata
-- Metrics
-- opentelemetry.solo.io.project
-- options.proto
-- Parameters
-- Percent
-- Pipe
-- Placement
-- Protocol
-- ProtocolUpgrade
-- Proxy
-- proxy_protocol.proto
-- ProxyEndpoint
-- ProxyProtocol
-- QueryOptions
-- Ratelimit
-- Ratelimit
-- Ratelimit
-- Rbac
-- Ref
-- Rest
-- Retries
-- Route
-- RouteConfigurationOptions
-- RouteOptions
-- Router
-- RouteTable
-- Secret
-- Selectors
-- SemanticVersion
-- Service
-- ServiceSpec
-- Settings
-- Shadowing
-- Snap
-- SocketOption
-- SoloDiscoveryService
-- SoloKit
-- SourceContext
-- Ssl
-- ssl.proto
-- Stages
-- StatefulSession
-- statefulsession.proto
-- statefulsession.proto
-- Static
-- Stats
-- Status
-- Status
-- Struct
-- Subset
-- SubsetSpec
-- Tap
-- tap.proto
-- Tcp
-- TcpListenerOptions
-- Timestamp
-- Trace
-- Tracing
-- Transformation
-- Type
-- Upstream
-- Version
-- VirtualHostOptions
-- VirtualService
-- Waf
-- Wasm
-- WeightedDestinationOptions
-- Wrappers
--
--
-
Command Line Reference
-
Changelog
-
Helm Chart Values
-
Security Updates
- Security Posture
- Gloo Gateway Port Reference
- Release Support
-
Cheatsheets
Contribution Guide
Get help and support
ProtocolUpgrade
Package: protocol_upgrade.options.gloo.solo.io
Types:
Source File: github.com/solo-io/gloo/projects/gloo/api/v1/options/protocol_upgrade/protocol_upgrade.proto
ProtocolUpgradeConfig
"websocket": .protocol_upgrade.options.gloo.solo.io.ProtocolUpgradeConfig.ProtocolUpgradeSpec
"connect": .protocol_upgrade.options.gloo.solo.io.ProtocolUpgradeConfig.ProtocolUpgradeSpec
"connectTerminate": .protocol_upgrade.options.gloo.solo.io.ProtocolUpgradeConfig.ProtocolUpgradeSpec
Field
Type
Description
websocket
.protocol_upgrade.options.gloo.solo.io.ProtocolUpgradeConfig.ProtocolUpgradeSpec
Specification for websocket upgrade requests. Only one of websocket, connect, or connectTerminate can be set.
connect
.protocol_upgrade.options.gloo.solo.io.ProtocolUpgradeConfig.ProtocolUpgradeSpec
Specification for CONNECT upgrade requests. This enables the CONNECT upgrade type without additional configuration. This will allow a CONNECT request to be proxied as HTTP request to upstream. Only one of connect, websocket, or connectTerminate can be set.
connectTerminate
.protocol_upgrade.options.gloo.solo.io.ProtocolUpgradeConfig.ProtocolUpgradeSpec
Specification for CONNECT protocol termination. When configured, Envoy will terminate CONNECT requests and proxy the payload in the request body as raw tcp data to upstream. NOTE: connect_terminate can only be configured at the route level (RouteOptions). It is not supported in HttpConnectionManagerSettings. SECURITY WARNING: This mode of CONNECT support can create major security holes if not configured correctly, as the upstream will be forwarded unsanitized headers if they are in the body payload. Please use with caution! Ensure proper authentication and authorization are in place before enabling this feature. Only one of connectTerminate, websocket, or connect can be set.
ProtocolUpgradeSpec
"enabled": .google.protobuf.BoolValue
Field
Type
Description
enabled
.google.protobuf.BoolValue
Whether the upgrade should be enabled. If left unset, Envoy will enable the protocol upgrade.